package com.xhpc.card.mapper;

import com.xhpc.card.pojo.XhpcIcCardInfo;
import com.xhpc.common.domain.IccardInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcCardMapper {

    IccardInfo getIccardInfoCardno(@Param("cardno") String cardno);

    XhpcIcCardInfo getXhpcIcCardInfo(@Param("tIccardInfoId") String tIccardInfoId);

    int deleteByPrimaryKey(Long icCardInfoId);

    int insert(XhpcIcCardInfo record);

    int insertSelective(XhpcIcCardInfo record);

    XhpcIcCardInfo selectByPrimaryKey(Long icCardInfoId);

    int updateByPrimaryKeySelective(XhpcIcCardInfo record);

    int updateByPrimaryKey(XhpcIcCardInfo record);

    /**
     * query record of xhpc_ic_card_info by id of t_iccard_info
     *
     * @author WH
     * @date 2022/2/10 13:28
     * @since version-1.0
     */
    XhpcIcCardInfo selectBytCardId(String id);

    /**
     * 查询非联网卡用户信息
     *
     * @author WH
     * @date 2022/2/11 19:27
     * @since version-1.0
     */
    Map<String, Object> selectByAccount(@Param("userAccount") String userAccount, @Param("userType") Integer userType);

    /**
     * 查询出指定类型的用户
     *
     * @author WH
     * @date 2022/3/1 17:53
     * @since version-1.0
     */
    List<Integer> selectUserIdsByUserType(Integer userType);


    List<Map<String, Object>> getSerialNumberList();

    int updateXhpcTerminalAll(@Param("status")Integer status);
}
